'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _MicroCardGutter = require('./MicroCardGutter');

var _MicroCardGutter2 = _interopRequireDefault(_MicroCardGutter);

var _MicroCardAction = require('./MicroCardAction');

var _MicroCardAction2 = _interopRequireDefault(_MicroCardAction);

var _MicroCardFavorite = require('./MicroCardFavorite');

var _MicroCardFavorite2 = _interopRequireDefault(_MicroCardFavorite);

var _MicroCardContent = require('./MicroCardContent');

var _MicroCardContent2 = _interopRequireDefault(_MicroCardContent);

var _MicroCardCount = require('./MicroCardCount');

var _MicroCardCount2 = _interopRequireDefault(_MicroCardCount);

require('../../styles/components/micro-card.css');

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCard = function (_React$Component) {
  (0, _inherits3['default'])(MicroCard, _React$Component);

  function MicroCard() {
    (0, _classCallCheck3['default'])(this, MicroCard);
    return (0, _possibleConstructorReturn3['default'])(this, _React$Component.apply(this, arguments));
  }

  MicroCard.prototype.render = function render() {
    var externalAttributes = (0, _externalAttributeFilter2['default'])(this.props);
    return _react2['default'].createElement(
      _flexboxReact2['default'],
      (0, _extends3['default'])({}, externalAttributes, {
        flexDirection: 'row',
        key: this.props.cardContent.id,
        className: 'microcard bordered ' + this.props.className,
        style: this.props.style,
        onClick: this.props.onClick
      }),
      this.props.children
    );
  };

  return MicroCard;
}(_react2['default'].Component);

MicroCard.Gutter = _MicroCardGutter2['default'];
MicroCard.Action = _MicroCardAction2['default'];
MicroCard.Favorite = _MicroCardFavorite2['default'];
MicroCard.Content = _MicroCardContent2['default'];
MicroCard.Count = _MicroCardCount2['default'];


MicroCard.propTypes = {
  cardContent: _react2['default'].PropTypes.object
};

exports['default'] = MicroCard;
module.exports = exports['default'];
//# sourceMappingURL=MicroCard.js.map