'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var alertIconUri = require('../../assets/alert-icon.svg');
var warningIconUri = require('../../assets/warning-yellow.svg');
var MicroCardContentStatus = function MicroCardContentStatus(props) {
  var icon = '';

  switch (props.status) {
    case 'critical':
      icon = alertIconUri;
      break;
    case 'warning':
      icon = warningIconUri;
      break;
    default:
      icon = '';
  }
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { marginRight: '5px' },
    _react2['default'].createElement('img', (0, _extends3['default'])({}, externalAttributes, { className: 'microcard__stateIcon ' + props.className, src: icon, alt: 'icon' }))
  );
};

MicroCardContentStatus.defaultProps = {
  status: 'critical'
};

MicroCardContentStatus.propTypes = {
  status: _react2['default'].PropTypes.string
};

exports['default'] = MicroCardContentStatus;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardContentStatus.js.map