'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _palette = require('../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardGutter = function MicroCardGutter(props) {
  var color = '';
  switch (props.color) {
    case 'critical':
      color = _palette2['default'].red;
      break;
    case 'warning':
      color = _palette2['default'].yellow;
      break;
    case 'normal':
      color = _palette2['default'].blue;
      break;
    case 'blue':
      color = _palette2['default'].blue;
      break;
    default:
      color = props.color;
  }

  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(_flexboxReact2['default'], (0, _extends3['default'])({}, externalAttributes, {
    className: 'microcard state__indicator ' + props.className,
    style: { backgroundColor: color },
    width: '8px'
  }));
};

MicroCardGutter.defaultProps = {
  color: '#FFFFFF'
};

MicroCardGutter.propTypes = {
  color: _react2['default'].PropTypes.string

};

exports['default'] = MicroCardGutter;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardGutter.js.map