'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _ThinCardWidgetLabel = require('./ThinCardWidgetLabel');

var _ThinCardWidgetLabel2 = _interopRequireDefault(_ThinCardWidgetLabel);

var _ThinCardWidgetValue = require('./ThinCardWidgetValue');

var _ThinCardWidgetValue2 = _interopRequireDefault(_ThinCardWidgetValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ThinCardWidget = function (_React$Component) {
  (0, _inherits3['default'])(ThinCardWidget, _React$Component);

  function ThinCardWidget() {
    (0, _classCallCheck3['default'])(this, ThinCardWidget);
    return (0, _possibleConstructorReturn3['default'])(this, _React$Component.apply(this, arguments));
  }

  ThinCardWidget.prototype.render = function render() {
    var borderClass = '';
    if (this.props.borderLeft) {
      borderClass += 'borderLeft ';
    }
    if (this.props.borderRight) {
      borderClass += 'borderRight ';
    }

    var externalAttributes = (0, _externalAttributeFilter2['default'])(this.props);
    return _react2['default'].createElement(
      _flexboxReact2['default'],
      (0, _extends3['default'])({}, externalAttributes, {
        onClick: this.props.onClick,
        alignItems: 'center',
        className: borderClass + ' ' + this.props.className,
        paddingRight: '15px',
        paddingLeft: '15px',
        marginBottom: '10px',
        marginTop: '10px' }),
      this.props.children
    );
  };

  return ThinCardWidget;
}(_react2['default'].Component);

ThinCardWidget.Label = _ThinCardWidgetLabel2['default'];
ThinCardWidget.Value = _ThinCardWidgetValue2['default'];


ThinCardWidget.defaultProps = {
  borderLeft: false,
  borderRight: false
};

ThinCardWidget.propTypes = {
  borderLeft: _react2['default'].PropTypes.bool,
  borderRight: _react2['default'].PropTypes.bool,
  className: _react2['default'].PropTypes.object,
  onClick: _react2['default'].PropTypes.func
};

exports['default'] = ThinCardWidget;
module.exports = exports['default'];
//# sourceMappingURL=ThinCardWidget.js.map